package cn.com.poc.agent_application.query;

import java.io.Serializable;
import java.util.List;

/**
 * Query Condition class for AgentPluginQuery
 */
public class AgentPluginQueryCondition implements Serializable {

    private static final long serialVersionUID = 1L;


    private List<String> pluginIds;

    public List<String> getPluginIds() {
        return pluginIds;
    }

    public void setPluginIds(List<String> pluginIds) {
        this.pluginIds = pluginIds;
    }

    private java.lang.String classification;

    public java.lang.String getClassification() {
        return this.classification;
    }

    public void setClassification(java.lang.String classification) {
        this.classification = classification;
    }

    private java.lang.String queryZHCN;
    private java.lang.String queryZHTW;
    private java.lang.String queryEN;

    public String getQueryZHCN() {
        return queryZHCN;
    }

    public void setQueryZHCN(String queryZHCN) {
        this.queryZHCN = queryZHCN;
    }

    public String getQueryZHTW() {
        return queryZHTW;
    }

    public void setQueryZHTW(String queryZHTW) {
        this.queryZHTW = queryZHTW;
    }

    public String getQueryEN() {
        return queryEN;
    }

    public void setQueryEN(String queryEN) {
        this.queryEN = queryEN;
    }
}